Subject: bug#38399: Recent $EMACSLOADPATH changes break emacs-org

From: Diego Nicola Barbato <[email-masked]>
Date: Wed, 27 Nov 2019 11:00:58 +0100

Hi Guix,

Since the recent changes to the way Guix handles Emacs packages Emacs
loads the wrong ‘org’ (the one bundled with Emacs instead of the one
provided by the ‘emacs-org’ package installed with Guix).  This happens
because in EMACSLOADPATH the directory containing the bundled ‘org’
precedes the directory containing the ‘org’ provided by ‘emacs-org’.

It stands to reason that the elisp libraries provided by Emacs itself
shouldn’t be in EMACSLOADPATH in the first place as they are already in
‘load-path’ to which the directories in EMACSLOADPATH are prepended (as
described in the Emacs manual).

I’m currently on commit 116787d.

Regards,

Diego